import React from 'react';
import { Typography } from 'antd';
import { NavLink } from "react-router-dom";
import { useModel } from '@/store';
import useOrgResponsible from '@/utils/hooks/useOrgResponsible';

export default (props) => {
  const { app } = useModel('system');

  const [isResponsible] = useOrgResponsible();
  const url = isResponsible ? '/issue' : '/';

  return (
    <NavLink className='logo' to={url}>
      <img src="./logo.png" alt="" />
      <h3>{app.shorName}</h3>
    </NavLink>
  )
}
