import { useLocation } from "react-router-dom";
import { routeArr } from '@/routes/routes';

// 获取当前的 route 信息
export default function useRoute() {
  const location = useLocation();
  const currentRoute = routeArr.filter(x => x.path === location.pathname)[0];
  return currentRoute;
}
